'use strict';

//hostNames service used for communicating with the hostNames REST endpoints
angular.module('hostNames').factory('HostNames', ['$resource',
  function ($resource) {
    return $resource('api/hostNames/:hostNameId', {
      hostNameId: '@_id'
    }, {
      update: {
        method: 'PUT'
      }
    });
  }
]);
